Skip to main content
`Ctrl`+`K`

# PetscHMapIVHas

Query for a key in the hash table

## Synopsis

    #include <petsc/private/hashmapiv.h>
    PetscErrorCode PetscHMapIVHas(PetscHMapIV ht, PetscInt key, PetscBool *has)

## Input Parameters

- ht - The hash table

- key - The key

## Output Parameter

- has - Boolean indicating whether key is in the hash table

## See Also

`PetscHMapIVGet()`, `PetscHMapIVGetWithDefault()`, `PetscHMapIVSet()`, `PetscHMapIVSetWithMode()`, `PetscHMapIVFind()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages